Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
smartpointer.h File Reference
`#include "pluginterfaces/base/fplatform.h"`

## Classes
class | IPtr< I >
| IPtr - Smart pointer template class. More...
class | OPtr< I >
| OPtr - "owning" smart pointer used for newly created FObjects. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Functions
template<class I>
IPtr< I > | owned (I *p)
| Assigning newly created object to an IPtr.
template<class I>
IPtr< I > | shared (I *p)
| Assigning shared object to an IPtr.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.